MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
BufferedOutputStream Class Reference

An OutputStream wrapper that buffers its output to reduce the number of OutputStream::Write() calls. More...

`#include <BufferedOutputStream.hxx>`

## Public Member Functions
| BufferedOutputStream (OutputStream &_os)
void | Write (const void *data, size_t size)
void | Write (const char &ch)
void | Write (const char *p)
| gcc_printf (2, 3) void Format(const char *fmt
void | Flush ()
| Write buffer contents to the OutputStream. More...

## Detailed Description

An OutputStream wrapper that buffers its output to reduce the number of OutputStream::Write() calls.

All wchar_t based strings are converted to UTF-8.

Definition at line 41 of file BufferedOutputStream.hxx.

## Constructor & Destructor Documentation

BufferedOutputStream::BufferedOutputStream | ( | OutputStream & | _os | ) |
| inline explicit

Definition at line 47 of file BufferedOutputStream.hxx.

## Member Function Documentation

void BufferedOutputStream::Flush | ( |  | ) |

Write buffer contents to the OutputStream.

BufferedOutputStream::gcc_printf | ( | 2 | ,
|  | 3 |
| ) |  | const

void BufferedOutputStream::Write | ( | const void * | data,
|  | size_t | size
| ) |  |

void BufferedOutputStream::Write | ( | const char & | ch | ) |
| inline

Definition at line 52 of file BufferedOutputStream.hxx.

void BufferedOutputStream::Write | ( | const char * | p | ) |

The documentation for this class was generated from the following file:

- fs/io/BufferedOutputStream.hxx